function [residual, g1, g2, g3] = NKMODEL_43_version2_dynamic(y, x, params, steady_state, it_)
%
% Status : Computes dynamic model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

%
% Model equations
%

residual = zeros(6, 1);
lhs =y(5);
rhs =y(10)-1/params(3)*(y(4)-y(11))+y(7);
residual(1)= lhs-rhs;
lhs =y(6);
rhs =y(11)*params(1)+y(5)*(1-params(2))*(1-params(1)*params(2))/params(2)*(params(3)+params(4))+y(8);
residual(2)= lhs-rhs;
lhs =y(4);
rhs =params(5)*y(1)+(1-params(5))*(y(6)*params(7)+y(5)*params(6))+y(9);
residual(3)= lhs-rhs;
lhs =y(7);
rhs =params(8)*y(2)+x(it_, 1);
residual(4)= lhs-rhs;
lhs =y(8);
rhs =params(9)*y(3)+x(it_, 2);
residual(5)= lhs-rhs;
lhs =y(9);
rhs =x(it_, 3);
residual(6)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(6, 14);

  %
  % Jacobian matrix
  %

  g1(1,4)=1/params(3);
  g1(1,5)=1;
  g1(1,10)=(-1);
  g1(1,11)=(-(1/params(3)));
  g1(1,7)=(-1);
  g1(2,5)=(-((1-params(2))*(1-params(1)*params(2))/params(2)*(params(3)+params(4))));
  g1(2,6)=1;
  g1(2,11)=(-params(1));
  g1(2,8)=(-1);
  g1(3,1)=(-params(5));
  g1(3,4)=1;
  g1(3,5)=(-((1-params(5))*params(6)));
  g1(3,6)=(-((1-params(5))*params(7)));
  g1(3,9)=(-1);
  g1(4,2)=(-params(8));
  g1(4,7)=1;
  g1(4,12)=(-1);
  g1(5,3)=(-params(9));
  g1(5,8)=1;
  g1(5,13)=(-1);
  g1(6,9)=1;
  g1(6,14)=(-1);
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],6,196);
end
if nargout >= 4,
  %
  % Third order derivatives
  %

  g3 = sparse([],[],[],6,2744);
end
end
