%
% Status : main Dynare file 
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

clear all
clear global
tic;
global M_ oo_ options_ ys0_ ex0_ estimation_info
options_ = [];
M_.fname = 'NKMODEL_43_version2';
%
% Some global variables initialization
%
global_initialization;
diary off;
logname_ = 'NKMODEL_43_version2.log';
if exist(logname_, 'file')
    delete(logname_)
end
diary(logname_)
M_.exo_names = 'eg';
M_.exo_names_tex = 'eg';
M_.exo_names = char(M_.exo_names, 'eu');
M_.exo_names_tex = char(M_.exo_names_tex, 'eu');
M_.exo_names = char(M_.exo_names, 'er');
M_.exo_names_tex = char(M_.exo_names_tex, 'er');
M_.endo_names = 'r';
M_.endo_names_tex = 'r';
M_.endo_names = char(M_.endo_names, 'x');
M_.endo_names_tex = char(M_.endo_names_tex, 'x');
M_.endo_names = char(M_.endo_names, 'p');
M_.endo_names_tex = char(M_.endo_names_tex, 'p');
M_.endo_names = char(M_.endo_names, 'g');
M_.endo_names_tex = char(M_.endo_names_tex, 'g');
M_.endo_names = char(M_.endo_names, 'u');
M_.endo_names_tex = char(M_.endo_names_tex, 'u');
M_.endo_names = char(M_.endo_names, 'eer');
M_.endo_names_tex = char(M_.endo_names_tex, 'eer');
M_.param_names = 'betta';
M_.param_names_tex = 'betta';
M_.param_names = char(M_.param_names, 'theta');
M_.param_names_tex = char(M_.param_names_tex, 'theta');
M_.param_names = char(M_.param_names, 'phi');
M_.param_names_tex = char(M_.param_names_tex, 'phi');
M_.param_names = char(M_.param_names, 'nu');
M_.param_names_tex = char(M_.param_names_tex, 'nu');
M_.param_names = char(M_.param_names, 'psir');
M_.param_names_tex = char(M_.param_names_tex, 'psir');
M_.param_names = char(M_.param_names, 'psix');
M_.param_names_tex = char(M_.param_names_tex, 'psix');
M_.param_names = char(M_.param_names, 'psip');
M_.param_names_tex = char(M_.param_names_tex, 'psip');
M_.param_names = char(M_.param_names, 'rhog');
M_.param_names_tex = char(M_.param_names_tex, 'rhog');
M_.param_names = char(M_.param_names, 'rhou');
M_.param_names_tex = char(M_.param_names_tex, 'rhou');
M_.param_names = char(M_.param_names, 'sigg');
M_.param_names_tex = char(M_.param_names_tex, 'sigg');
M_.param_names = char(M_.param_names, 'sigu');
M_.param_names_tex = char(M_.param_names_tex, 'sigu');
M_.param_names = char(M_.param_names, 'sigr');
M_.param_names_tex = char(M_.param_names_tex, 'sigr');
M_.exo_det_nbr = 0;
M_.exo_nbr = 3;
M_.endo_nbr = 6;
M_.param_nbr = 12;
M_.orig_endo_nbr = 6;
M_.aux_vars = [];
options_.varobs = [];
options_.varobs = 'r';
options_.varobs = char(options_.varobs, 'x');
options_.varobs = char(options_.varobs, 'p');
options_.varobs_id = [ 1 2 3  ];
M_.Sigma_e = zeros(3, 3);
M_.H = 0;
options_.linear = 1;
options_.block=0;
options_.bytecode=0;
options_.use_dll=0;
erase_compiled_function('NKMODEL_43_version2_static');
erase_compiled_function('NKMODEL_43_version2_dynamic');
M_.lead_lag_incidence = [
 1 4 0;
 0 5 10;
 0 6 11;
 2 7 0;
 3 8 0;
 0 9 0;]';
M_.nstatic = 1;
M_.nfwrd   = 2;
M_.npred   = 3;
M_.nboth   = 0;
M_.equations_tags = {
};
M_.exo_names_orig_ord = [1:3];
M_.maximum_lag = 1;
M_.maximum_lead = 1;
M_.maximum_endo_lag = 1;
M_.maximum_endo_lead = 1;
oo_.steady_state = zeros(6, 1);
M_.maximum_exo_lag = 0;
M_.maximum_exo_lead = 0;
oo_.exo_steady_state = zeros(3, 1);
M_.params = NaN(12, 1);
M_.NNZDerivatives = zeros(3, 1);
M_.NNZDerivatives(1) = 22;
M_.NNZDerivatives(2) = 0;
M_.NNZDerivatives(3) = -1;
close all; clc;
load gpr.dat;              
[nobs,nvar] = size(gpr);   
y = gpr(:,1);
pp = gpr(:,2);
rr = gpr(:,3);
cr = ones(nobs,1);
tr = (1:nobs)';
for i=1:nobs
tr2(i) = tr(i)^2;
end;
yt = FOLS(y,[cr tr tr2']);
x = y-yt.beta(2)*tr-yt.beta(3)*tr2';       
pt = FOLS(pp,[cr tr tr2']);
p = pp-pt.beta(1)-pt.beta(2)*tr-pt.beta(3)*tr2';       
rt = FOLS(rr,[cr tr tr2']);
r = rr-rt.beta(1)-rt.beta(2)*tr-rt.beta(3)*tr2';       
save rawdata_US_1948Q1_2004q4_L  r x p;
stats_r  = [mean(r) std(r) min(r) max(r)];
stats_x  = [mean(x) std(x) min(x) max(x)];
stats_p  = [mean(p) std(p) min(p) max(p)];
inv.cnames = strvcat('mean','std','min','max');
inv.rnames = strvcat('series','r','x','p');
disp('*** Summary Statistics of time series ***')
disp('---------------------------------------- ')
M_.params( 1 ) = 0.99;
betta = M_.params( 1 );
M_.params( 2 ) = 0.75;
theta = M_.params( 2 );
%
% SHOCKS instructions
%
make_ex_;
M_.exo_det_length = 0;
M_.Sigma_e(1, 1) = (0.1)^2;
M_.Sigma_e(2, 2) = (0.1)^2;
M_.Sigma_e(3, 3) = (0.1)^2;
M_.sigma_e_is_diagonal = 1;
global estim_params_
estim_params_.var_exo = [];
estim_params_.var_endo = [];
estim_params_.corrx = [];
estim_params_.corrn = [];
estim_params_.param_vals = [];
estim_params_.param_vals = [estim_params_.param_vals; 3, 2.0376, 0.1, 5, 3, 2, 0.05, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 4, 2.0091, 0.1, 3, 3, 2, 0.05, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 6, (-0.0001), (-0.1), 1.9, 3, 0.5, 0.25, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 5, 0.8283, 0.4, 0.99, 1, 0.80, 0.25, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 7, 1.4912, 1.1, 10, 3, 1.7, 1.95, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 8, 0.9841, 0.1, 0.99999, 1, 0.6, 0.25, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 9, 0.9999, 0.1, 0.99999, 1, 0.6, 0.25, NaN, NaN, NaN ];
estim_params_.var_exo = [estim_params_.var_exo; 1, 0.0015, 0.0001, 4, 4, 0.01, 0.05, NaN, NaN, NaN ];
estim_params_.var_exo = [estim_params_.var_exo; 2, 0.0040, 0.0001, 4, 4, 0.01, 0.05, NaN, NaN, NaN ];
estim_params_.var_exo = [estim_params_.var_exo; 3, 0.0021, 0.0001, 4, 4, 0.01, 0.05, NaN, NaN, NaN ];
options_.bayesian_irf = 1;
options_.mh_init_scale = 0.5;
options_.mh_jscale = 0.45;
options_.mh_nblck = 2;
options_.mh_replic = 20000;
options_.mode_check = 1;
options_.mode_compute = 7;
options_.moments_varendo = 1;
options_.datafile = 'rawdata2_US_1948Q1_2004q4';
options_.order = 1;
var_list_=[];
var_list_ = 'r';
var_list_ = char(var_list_, 'x');
var_list_ = char(var_list_, 'p');
dynare_estimation(var_list_);
save('NKMODEL_43_version2_results.mat', 'oo_', 'M_', 'options_');


disp(['Total computing time : ' dynsec2hms(toc) ]);
diary off
