function [residual, g1, g2] = NKMODEL_43_version2_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 6, 1);

%
% Model equations
%

lhs =y(2);
rhs =y(2)-1/params(3)*(y(1)-y(3))+y(4);
residual(1)= lhs-rhs;
lhs =y(3);
rhs =y(3)*params(1)+y(2)*(1-params(2))*(1-params(1)*params(2))/params(2)*(params(3)+params(4))+y(5);
residual(2)= lhs-rhs;
lhs =y(1);
rhs =y(1)*params(5)+(1-params(5))*(y(3)*params(7)+y(2)*params(6))+y(6);
residual(3)= lhs-rhs;
lhs =y(4);
rhs =y(4)*params(8)+x(1);
residual(4)= lhs-rhs;
lhs =y(5);
rhs =y(5)*params(9)+x(2);
residual(5)= lhs-rhs;
lhs =y(6);
rhs =x(3);
residual(6)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(6, 6);

  %
  % Jacobian matrix
  %

  g1(1,1)=1/params(3);
  g1(1,3)=(-(1/params(3)));
  g1(1,4)=(-1);
  g1(2,2)=(-((1-params(2))*(1-params(1)*params(2))/params(2)*(params(3)+params(4))));
  g1(2,3)=1-params(1);
  g1(2,5)=(-1);
  g1(3,1)=1-params(5);
  g1(3,2)=(-((1-params(5))*params(6)));
  g1(3,3)=(-((1-params(5))*params(7)));
  g1(3,6)=(-1);
  g1(4,4)=1-params(8);
  g1(5,5)=1-params(9);
  g1(6,6)=1;
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],6,36);
end
end
